<?php

namespace Drupal\tsk\Exception;

/**
 * Exception thrown for invalid tempstore types.
 */
class InvalidTempstoreTypeException extends TskException {

  /**
   * Constructs an InvalidTempstoreTypeException.
   *
   * @param string $type
   *   The invalid type that was provided.
   * @param \Throwable|null $previous
   *   The previous throwable used for the exception chaining.
   */
  public function __construct(string $type, ?\Throwable $previous = NULL) {
    $message = sprintf('Invalid tempstore type "%s". Only "private" and "shared" are supported.', $type);
    parent::__construct($message, 0, $previous);
  }

}
