<?php

namespace Drupal\tsk\Exception;

/**
 * Exception thrown when a temporary storage collection is not found.
 */
class TempstoreCollectionNotFoundException extends TskException {

  /**
   * Constructs a TempstoreCollectionNotFoundException.
   *
   * @param string $collection
   *   The collection name that was not found.
   * @param string $type
   *   The storage type (private or shared).
   * @param \Throwable|null $previous
   *   The previous throwable used for the exception chaining.
   */
  public function __construct(string $collection, string $type, ?\Throwable $previous = NULL) {
    $message = sprintf('Temporary storage collection "%s" of type "%s" was not found.', $collection, $type);
    parent::__construct($message, 0, $previous);
  }

}
