<?php

namespace Drupal\tsk\Exception;

/**
 * Exception thrown when there's an issue with database operations.
 */
class TempstoreDatabaseException extends TskException {

  /**
   * Constructs a TempstoreDatabaseException.
   *
   * @param string $operation
   *   The database operation that failed.
   * @param string $message
   *   The error message.
   * @param \Throwable|null $previous
   *   The previous throwable used for the exception chaining.
   */
  public function __construct(string $operation, string $message = '', ?\Throwable $previous = NULL) {
    $fullMessage = sprintf('Database operation "%s" failed.', $operation);
    if (!empty($message)) {
      $fullMessage .= ' ' . $message;
    }
    parent::__construct($fullMessage, 0, $previous);
  }

}
