<?php

namespace Drupal\tsk\Exception;

/**
 * Exception thrown when a temporary storage key is not found.
 */
class TempstoreKeyNotFoundException extends TskException {

  /**
   * Constructs a TempstoreKeyNotFoundException.
   *
   * @param string $key
   *   The key that was not found.
   * @param string $collection
   *   The collection name.
   * @param string $type
   *   The storage type (private or shared).
   * @param \Throwable|null $previous
   *   The previous throwable used for the exception chaining.
   */
  public function __construct(string $key, string $collection, string $type, ?\Throwable $previous = NULL) {
    $message = sprintf('Temporary storage key "%s" was not found in collection "%s" of type "%s".', $key, $collection, $type);
    parent::__construct($message, 0, $previous);
  }

}
